Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 20 Sep 2014, 00:13
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Gyachi-1.1.0: Yahoo! messenging client
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Author Message
muggins

Joined: 20 Jan 2006
Posts: 6687
Location: lisbon

PostPosted: Fri 23 Nov 2007, 06:58    Post subject:  Gyachi-1.1.0: Yahoo! messenging client  

http://gyachi.sourceforge.net/intro.shtml

I've adapted this from an already compiled ubuntu package, and uploaded the .pet here:

http://rapidshare.com/files/71678373/gyachi-1.1.0-i486.pet.html

I've also attached a library package, which contains the following:

libgailutil.so.17 libgpgme-pthread.so.11.6.4 libmcrypt.so
libgailutil.so.17.0.3 libgpgme.so libmcrypt.so.4
libgpg-error.so libgpgme.so.11 libmcrypt.so.4.4.8
libgpg-error.so.0 libgpgme.so.11.6.4 libxml.so.1
libgpg-error.so.0.3.0 libgtkhtml-2.so libxmms.so
libgpgme-pthread.so libgtkhtml-2.so.0 libxmms.so.1
libgpgme-pthread.so.11 libgtkhtml-2.so.0.0.0 libxmms.so.1.3.1

If you install the above, (by extracting to /), then you won't get any complaints from the package manager about missing library files.

Edit: Following on from a few of the following posts, I've repacked the gyachi-libs.tar.bz2 & added libgtkhtml, libgailutil & a symlink for libxml.so.1.
gyachi-libs.tar.bz2
Description 
bz2

 Download 
Filename  gyachi-libs.tar.bz2 
Filesize  314.68 KB 
Downloaded  527 Time(s) 

Last edited by muggins on Thu 06 Mar 2008, 07:04; edited 2 times in total
Back to top
View user's profile Send private message 
JB4x4

Joined: 30 Jul 2006
Posts: 256

PostPosted: Fri 23 Nov 2007, 08:01    Post subject:  

I had to add two additional files get this to work ---

libgtkhtml-2.so.0 (which is a symlink to)
libgtkhtml-2.so.0.0.0

I was able to find these in my Slackware installation

JB
Back to top
View user's profile Send private message Yahoo Messenger 
mbutts


Joined: 11 Nov 2006
Posts: 231
Location: sitn on an iceburg waiting for my next meal to swim by.

PostPosted: Fri 23 Nov 2007, 08:24    Post subject:  

Hi, I tried to download from your link on rapid share and it says file not found when I click on download after the wait period for free download. Anyone else have this happen? Also thanks in advance for the work to make it into a pet!

EDIT
I shut off my download manager and it downloaded like a charm.

_________________
Penguin, the OTHER white meat.

Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6687
Location: lisbon

PostPosted: Sun 25 Nov 2007, 05:17    Post subject:  

Quote:

I had to add two additional files get this to work ---

libgtkhtml-2.so.0 (which is a symlink to)
libgtkhtml-2.so.0.0.0

I was able to find these in my Slackware installation


Thankyou JB4x4,

If anyone else is missing this library just extract the attached to /.
libgtkhtml-2.so.tar.bz2
Description 
bz2

 Download 
Filename  libgtkhtml-2.so.tar.bz2 
Filesize  151.21 KB 
Downloaded  445 Time(s) 
Back to top
View user's profile Send private message 
rajeshh

Joined: 01 Jul 2007
Posts: 32

PostPosted: Wed 05 Dec 2007, 20:46    Post subject: cannot use webcam  

Hello, when I try to use my webCam with this, it gives an error: something like missing libjasper-xxxxx
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6687
Location: lisbon

PostPosted: Thu 06 Dec 2007, 03:57    Post subject:  

rajeshh,

I'm quite sure, (at least on my system), that there's no libjasper dependency with gyachi. Maybe just google for libjasper, download & extract, & see if it works OK.
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6687
Location: lisbon

PostPosted: Fri 21 Dec 2007, 19:32    Post subject:  

rajeshh,

I feel very silly...the libjasper you're after was available on the gyachi sourceforge website. Anyway, if you haven't already downloaded it, here's the version, from an opensuse .rpm, as a .tar.bz2. Just extract to /.
libjasper-1.900.1.tar.bz2
Description 
bz2

 Download 
Filename  libjasper-1.900.1.tar.bz2 
Filesize  127.85 KB 
Downloaded  397 Time(s) 
Back to top
View user's profile Send private message 
willhunt


Joined: 05 Oct 2005
Posts: 495

PostPosted: Sat 22 Dec 2007, 04:08    Post subject:  

had to help a fiend install so repacked it muggins if anyone
else needs it all try this gyachi-1.1.0-i486.pet

_________________
176 Icewm Themes Exclamation
vlc-0.8.6c-i586.pet
vlc-0.8.6c-i586.pet
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 762

PostPosted: Sun 17 Feb 2008, 13:26    Post subject:  

On Dingo A6, I installed gyachi-1.1.0-i486.pet

When I start my webcam, it says
Code:
 /usr/lib/gyachi/gyachi-upload: error while loading shared libraries: libjasper-1.701.so.1: cannot open shared object file: No such file or directory


Where can it be found ?
Back to top
View user's profile Send private message 
blitzkrieg7227


Joined: 17 Feb 2008
Posts: 6

PostPosted: Sun 17 Feb 2008, 14:27    Post subject: Gyachi-1.1.0: Yahoo! messenging cllient  

hi! greetings everyone! I'm new to linux and just starting to learn... i have a frugal install of Lighthouse Pup 3.01a4 and installed willhunt's compiled gyachi pet package... it installed without error but when i ran the application it will just show up in the taskbar for a while with the busy cursor then disappears... any idea why this happens?

Tnx in advance!
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6687
Location: lisbon

PostPosted: Sun 17 Feb 2008, 21:59    Post subject:  

@linuxcbon:

regarding libjasper, if you've downloaded the libjasper-1.900.1.tar.bz2 package, (above), you could try symlinking:

ln -s /usr/lib/libjasper.so.1 /usr/lib/libjasper-1.701.so.1

and see if that works. I uploaded libjasper-1.900.1.tar.bz2, as it was more recent than libjasper-1.701.so. If the symlink doesn't resolve this problem, libjasper-1.701.so is available as an .rpm here:


libjasper-1.701.0-18suse.i586.rpm


@blitzkrieg7227:

Can you try running gyachi in a console, to see what errors are generated? Maybe it's a missing library problem, like linuxcbon is getting.
Back to top
View user's profile Send private message 
blitzkrieg7227


Joined: 17 Feb 2008
Posts: 6

PostPosted: Mon 18 Feb 2008, 14:51    Post subject:  

thanks muggins... seems a few dependencies are still missing... more than a couple of dependencies... i already switched my lhpup to mini-muppy 008.2 because i cant find gslapt on lhpup... i installed gyachi from the slackware12 repository and i got it runing... my problem now is that when i start voice its looking for 2 windows dll... i'll just try and find it later and place it on the directory where gyachi searches for it... my other problem is i dont know how to set up my usb webcam... the gyachi has a default setting for it when i installed it.. /dev/video0 but this seems to point to my bt848 video capture card... i dont know how to find which among the devices on /dev/ is my usb webcam... is there a way for me to know which is it? ...sorry to bother the people here but its just my 3rd day using linux... but its fun learning new things.... hope people here would have patience for a newbie like me

Thank you again! More power to all the people here! Very Happy
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 762

PostPosted: Mon 18 Feb 2008, 15:19    Post subject:  

Thanks, now libjasper fixed. I wonder why it is not included in prog already.

I also got
Code:
** Plugin '/usr/lib/gyachi/plugins/gyachixmms.so' could not be loaded because of an error:
libxmms.so.1: cannot open shared object file: No such file or directory


I will continue testing and give feedback...
Cheers.
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 762

PostPosted: Mon 18 Feb 2008, 16:48    Post subject:  

Other bugs :

In Buddies, right click "profile" I got
Code:
Unhandled property: 74 overflow
Unhandled property: 53 list-style
Unhandled property: 41 font
Unhandled property: 53 list-style
Unhandled property: 41 font
Unhandled property: 53 list-style
Unhandled property: 41 font
Unhandled property: 53 list-style
Unhandled property: 41 font
(gyachi:8849): Pango-WARNING **: failed to create cairo scaled font, expect ugly output. the offending font is 'DejaVu Sans 0'
(gyachi:8849): Pango-WARNING **: shaping failure, expect ugly output. shape-engine='BasicEngineFc', font='DejaVu Sans 0', text='.'
(gyachi:8849): Pango-WARNING **: pango_font_get_glyph_extents called with null font argument, expect ugly output


Then gyachi freezes and crashes.


When seeing another webcam I got
Code:

ALSA lib pcm_dmix.c:864:(snd_pcm_dmix_open) unable to open slave
Error opening PCM device default

--->no sound is heard
Back to top
View user's profile Send private message 
blitzkrieg7227


Joined: 17 Feb 2008
Posts: 6

PostPosted: Wed 20 Feb 2008, 14:20    Post subject:  

i got my webcam to work by installing tempestuous' gspca pet package for puppy3.01

my usbwebcam device is an a4tech pk 336mb which is now identified as /dev/video1... havent tried viewing someone else webcam yet so I still dont know if I would get the same errors...

I have already installed tssoft.acm and ts32.dll and no more errors for the voice but when i go to a conference there is no sound coming out....

so far this is how far i've got
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0811s ][ Queries: 12 (0.0041s) ][ GZIP on ]